Package org.jbpm.executor.impl.jpa

## Class ExecutorRequestAdminServiceImpl

- java.lang.Object
- - org.jbpm.executor.impl.jpa.ExecutorRequestAdminServiceImpl

- All Implemented Interfaces:
    `RequeueAware`, `org.kie.api.executor.ExecutorAdminService`

      public class ExecutorRequestAdminServiceImpl
      extends Object
      implements org.kie.api.executor.ExecutorAdminService, RequeueAware

  Default implementation of `ExecutorAdminService` backed with JPA IMPORTANT: please keep all classes from package org.jbpm.shared.services.impl as FQCN inside method body to avoid exception logged by CDI when used with in memory mode

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExecutorRequestAdminServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `clearAllErrors()`
    `int` | `clearAllRequests()`
    `void` | `requeue​(Long olderThan)` | Moves `RequestInfo` instances that are in running state longer than given amount of time (time unit depends on the `org.kie.executor.timeunit` system property)
    `void` | `requeueById​(Long requestId)` | Moves `RequestInfo` instance with given request id that are in running state
    `void` | `setCommandService​(org.kie.api.runtime.CommandExecutor commandService)` |
    `void` | `setExecutor​(org.kie.api.executor.Executor executor)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutorRequestAdminServiceImpl

          public ExecutorRequestAdminServiceImpl()

  - ### Method Detail

    - #### setCommandService

          public void setCommandService​(org.kie.api.runtime.CommandExecutor commandService)

    - #### setExecutor

          public void setExecutor​(org.kie.api.executor.Executor executor)

    - #### clearAllRequests

          public int clearAllRequests()

      Specified by:
        `clearAllRequests` in interface `org.kie.api.executor.ExecutorAdminService`

    - #### clearAllErrors

          public int clearAllErrors()

      Specified by:
        `clearAllErrors` in interface `org.kie.api.executor.ExecutorAdminService`

    - #### requeue

          public void requeue​(Long olderThan)

      Description copied from interface: `RequeueAware`
      Moves `RequestInfo` instances that are in running state longer than given amount of time (time unit depends on the `org.kie.executor.timeunit` system property)
      Specified by:
        `requeue` in interface `RequeueAware`
      Parameters:
        `olderThan` - amount of time from current time stamp

    - #### requeueById

          public void requeueById​(Long requestId)

      Description copied from interface: `RequeueAware`
      Moves `RequestInfo` instance with given request id that are in running state
      Specified by:
        `requeueById` in interface `RequeueAware`
      Parameters:
        `requestId` - request unique identifier